This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 497560 - 3 failed passphrase attempts to unlock LUKS encrypted volume results in segfault
3 failed passphrase attempts to unlock LUKS encrypted volume results in segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: device-mapper-obsolete (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-24 14:12 EDT by James Laska
Modified: 2013-09-02 02:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 13:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2009-04-24 14:12:58 EDT
Description of problem:

Install a system with an encrypted autopart setup.  During boot-up, enter the wrong password 3 times

Version-Release number of selected component (if applicable):
device-mapper-1.02.31-4.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install a F11/rawhide system using an encrypted autopart partition scheme
2. During bootup, when prompted for a passphrase, enter the wrong passphrase 3 times
  
Actual results:

Password:****
Password:****
Password:****
init[1]: segfault at 10 ip 00007fe1561c6ca7 sp 00007fff5ea11160 error 4 in libdevmapper.so.1.02[7fe1561b8000+16000]


Expected results:

Perhaps a message indicating passphrase not accepted, unable to boot?

Additional info:
Comment 1 Bug Zapper 2009-06-09 10:31:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:54:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Milan Broz 2010-04-27 13:41:52 EDT
That crash was in libdevmapper, but device handling in nash was source of problem.
(Anyway, after 3 tries it will fail to boot anyway, segfault is just side effect here). This should not happen in dracut.

Note You need to log in before you can comment on or make changes to this bug.